Get Sticker Template
Retrieve a single sticker template by ID, including its full template data and joined category information.
Retrieve a single sticker template by ID, including its full template data and joined category information.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/sticker-templates/550e8400-e29b-41d4-a716-446655440000"{ "template": { "id": "string", "labId": "string", "categoryId": "string", "name": "string", "description": "string", "width": "string", "height": "string", "templateData": { "basePdf": "string", "schemas": [ [ { "property1": null, "property2": null } ] ], "sampledata": [ { "property1": null, "property2": null } ], "property1": null, "property2": null }, "previewImageKey": "string", "isDefault": true, "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string", "category": { "id": "string", "labId": "string", "name": "string", "description": "string", "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string" } }}Empty
Empty
Generate Sticker Pdf POST
Generate sticker PDF data for a specific order using a template. Resolves order variables (patient, clinic, doctor, product category) and returns processed template data with inputs for PDF generation.
Get Sticker Template Category GET
Retrieve a single sticker template category by ID.